package com.cku.dao;


import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.core.BaseDAOMapper;
import com.cku.model.CkuMatchVenue;

public interface CkuMatchVenueMapper extends BaseDAOMapper<CkuMatchVenue>{
	public CkuMatchVenue getVenue(String showLocation);
	public List<CkuMatchVenue> getList(@Param("name")String name,@Param("address")String address,@Param("limit")Long limit,@Param("count")Long count);
	public long getCount(@Param("name")String name,@Param("address")String address);
	//查询赛事场馆信息不包含图片
	public CkuMatchVenue selectVenueById(@Param("id")long id);
	
}